Echo off

Rem File name: Register.bat
Rem Date: 10/28/2013
Rem Revision number: 1
Rem Abstract: This file is used by the Immulite 1000 installation to register the Immulite 1000 program dll and ocx files. 


if %1 == Win7 Goto Win7
if %1 == 2000 Goto 2000

Rem If password is not correct will drop to the GOTO END line and exit the batch file without creating the success file
Goto END

:Win7

if exist C:\IMMULITE1000\Logs\RegisterFiles.txt del C:\IMMULITE1000\Logs\RegisterFiles.txt
echo Success file >> C:\Register.txt

regsvr32 /s "C:\Windows\System32\Comct332.ocx"
if %errorlevel%==0 echo C:\Windows\System32\Comct332.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\Comct332.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del  C:\Register.txt

regsvr32 /s "C:\Windows\System32\Comctl32.ocx"
if %errorlevel%==0 echo C:\Windows\System32\Comctl32.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\Comctl32.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Windows\System32\Mlist32.ocx"
if %errorlevel%==0 echo C:\Windows\System32\Mlist32.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\Mlist32.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Windows\System32\MSBIND.DLL"
if %errorlevel%==0 echo C:\Windows\System32\MSBIND.DLL registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\MSBIND.DLL failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Windows\System32\Mscomct2.ocx"
if %errorlevel%==0 echo C:\Windows\System32\Mscomct2.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\Mscomct2.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Windows\System32\Mscomctl.ocx"
if %errorlevel%==0 echo C:\Windows\System32\Mscomctl.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\Mscomctl.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Windows\System32\MSCOMM32.OCX"
if %errorlevel%==0 echo C:\Windows\System32\MSCOMM32.OCX registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\MSCOMM32.OCX failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Windows\System32\Msderun.dll"
if %errorlevel%==0 echo C:\Windows\System32\Msderun.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echoC:\Windows\System32\Msderun.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Windows\System32\Msstdfmt.dll"
if %errorlevel%==0 echo C:\Windows\System32\Msstdfmt.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\Msstdfmt.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Windows\System32\MSVBVM60.DLL"
if %errorlevel%==0 echo C:\Windows\System32\MSVBVM60.DLL registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\MSVBVM60.DLL failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Windows\System32\Tabctl32.ocx"
if %errorlevel%==0 echo C:\Windows\System32\Tabctl32.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\Tabctl32.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Windows\System32\Threed32.ocx"
if %errorlevel%==0 echo C:\Windows\System32\Threed32.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\Threed32.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Windows\System32\SysInfo.ocx"
if %errorlevel%==0 echo C:\Windows\System32\SysInfo.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Windows\System32\SysInfo.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

Goto DUAL

:2000

if exist C:\IMMULITE1000\Logs\RegisterFiles.txt del C:\IMMULITE1000\Logs\RegisterFiles.txt
echo Success file >> C:\Register.txt

regsvr32 /s "C:\WinNT\System32\Comct332.ocx"
if %errorlevel%==0 echo C:\WinNT\System32\Comct332.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\Comct332.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\Comctl32.ocx"
if %errorlevel%==0 echo C:\WinNT\System32\Comctl32.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\Comctl32.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\Mlist32.ocx"
if %errorlevel%==0 echo C:\WinNT\System32\Mlist32.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\Mlist32.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\MSBIND.DLL"
if %errorlevel%==0 echo C:\WinNT\System32\MSBIND.DLL registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\MSBIND.DLL failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\Mscomct2.ocx"
if %errorlevel%==0 echo C:\WinNT\System32\Mscomct2.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\Mscomct2.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\Mscomctl.ocx"
if %errorlevel%==0 echo C:\WinNT\System32\Mscomctl.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\Mscomctl.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\MSCOMM32.OCX"
if %errorlevel%==0 echo C:\WinNT\System32\MSCOMM32.OCX registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\MSCOMM32.OCX failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\Msderun.dll"
if %errorlevel%==0 echo C:\WinNT\System32\Msderun.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\Msderun.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\Msjro.dll"
if %errorlevel%==0 echo C:\WinNT\System32\Msjro.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\Msjro.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\Msstdfmt.dll"
if %errorlevel%==0 echo C:\WinNT\System32\Msstdfmt.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\Msstdfmt.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\MSVBVM60.DLL"
if %errorlevel%==0 echo C:\WinNT\System32\MSVBVM60.DLL registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\MSVBVM60.DLL failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\Tabctl32.ocx"
if %errorlevel%==0 echo C:\WinNT\System32\Tabctl32.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\Tabctl32.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\Threed32.ocx"
if %errorlevel%==0 echo C:\WinNT\System32\Threed32.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\Threed32.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\WinNT\System32\SysInfo.ocx"
if %errorlevel%==0 echo C:\WinNT\System32\SysInfo.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\WinNT\System32\SysInfo.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt


:DUAL

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Ardespro2.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Ardespro2.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Ardespro2.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Arpro2.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Arpro2.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Arpro2.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Arview2.ocx"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Arview2.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Arview2.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Cal32X30.ocx"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Cal32X30.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Cal32X30.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Calendar.ocx"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Calendar.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Calendar.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Cfx4032.ocx"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Cfx4032.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Cfx4032.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Cfx4Data.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Cfx4Data.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Cfx4Data.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Craxdrt.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Craxdrt.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Craxdrt.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Crviewer.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Crviewer.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Crviewer.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\FpCal30.ocx"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\FpCal30.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\FpCal30.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Msflxgrd.ocx"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Msflxgrd.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Msflxgrd.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\PropList.ocx"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\PropList.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\PropList.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Sfxbar.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Sfxbar.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Sfxbar.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\Time.ocx"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\Time.ocx registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\Time.ocx failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\DPCCompToolKit.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\DPCCompToolKit.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\DPCCompToolKit.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\DPCUtility.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\DPCUtility.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\DPCUtility.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\QCDataArchive.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\QCDataArchive.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\QCDataArchive.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\IMMULITEGLOBALS.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\IMMULITEGLOBALS.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\IMMULITEGLOBALS.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\StringArchive.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\StringArchive.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\StringArchive.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\DPCEventChannel.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\DPCEventChannel.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\DPCEventChannel.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\DPCResultFormatter.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\DPCResultFormatter.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\DPCResultFormatter.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\QCGraphData.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\QCGraphData.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\QCGraphData.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\ReportWriter.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\ReportWriter.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\ReportWriter.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\DataArchive.dll"
if %errorlevel%==3 echo C:\IMMULITE1000\Program\DataArchive.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt
if %errorlevel%==0 echo C:\IMMULITE1000\Program\DataArchive.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\DPCComWrapper.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\DPCComWrapper.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\DPCComWrapper.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\DPCErrorMonitor.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\DPCErrorMonitor.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\DPCErrorMonitor.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\DPCQCDataEntry.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\DPCQCDataEntry.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\DPCQCDataEntry.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\AdjLogCollaborators.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\AdjLogCollaborators.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\AdjLogCollaborators.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\BatchPrintCollab.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\BatchPrintCollab.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\BatchPrintCollab.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\Collaborators.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\Collaborators.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\Collaborators.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Immulite1000\Program\ConfigSceenCollaborator.dll"
if %errorlevel%==0 echo C:\Immulite1000\Program\ConfigSceenCollaborator.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Immulite1000\Program\ConfigSceenCollaborator.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\EventLogCollaborator.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\EventLogCollaborator.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\EventLogCollaborator.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\GetDataT.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\GetDataT.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\GetDataT.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\KitCollaborators.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\KitCollaborators.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\KitCollaborators.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\ResultFormatCollaborator.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\ResultFormatCollaborator.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\ResultFormatCollaborator.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\ToolbarCollaborator.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\ToolbarCollaborator.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\ToolbarCollaborator.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\QCLogCollaborator.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\QCLogCollaborator.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\QCLogCollaborator.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\QCRules.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\QCRules.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\QCRules.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\IPcomponent.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\IPcomponent.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\IPcomponent.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\Result_Monitor.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\Result_Monitor.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\Result_Monitor.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\Program Files\DPC ISD\Common\System\DPCastM.dll"
if %errorlevel%==0 echo C:\Program Files\DPC ISD\Common\System\DPCastM.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\Program Files\DPC ISD\Common\System\DPCastM.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\HomeCollaborator.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\HomeCollaborator.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\HomeCollaborator.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt

regsvr32 /s "C:\IMMULITE1000\Program\LISScreenCollab.dll"
if %errorlevel%==0 echo C:\IMMULITE1000\Program\LISScreenCollab.dll registered >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 echo C:\IMMULITE1000\Program\LISScreenCollab.dll failed >> C:\IMMULITE1000\Logs\RegisterFiles.txt
if %errorlevel%==3 if exist C:\Register.txt del C:\Register.txt


:End

